=== debian/changelog ===
kguiaddons (5.115.0-4+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.100.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 26 Nov 2022 19:21:14 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 07 Sep 2024 00:34:56 +0000

kguiaddons (5.115.0-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:29:43 +0200

kguiaddons (5.115.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Disable the geo scheme handler to allow co-installability with KF6.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 11:54:13 +0200

kguiaddons (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:10:10 +0200

kguiaddons (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:21:11 +0100

kguiaddons (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:27 +0200
