=== debian/changelog ===
kguiaddons (5.116.0-2) unstable; urgency=medium

  * Team upload.
  * Drop the spurious qt6-wayland-dev-tools build dependency, added in
    5.116.0-1.
  * Update symbols file:
    - mark the private symbols of Wayland interfaces as linux-any, rather than
      optional
    - drop symbols which apply to no architecture at all
    - switch !hurd-i386 markers as !hurd-any, following what was done in
      src:kf6-kguiaddons already
  * Limit the plasma-wayland-protocols build dependency as linux-any, as it is
    available only on Linux, and it is used for the Wayland support.
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Mon, 21 Apr 2025 11:33:45 +0200

kguiaddons (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:30:40 +0200
