=== src/geo-scheme-handler/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,6 @@
     FILES
         google-maps-geo-handler.desktop
         openstreetmap-geo-handler.desktop
-        qwant-maps-geo-handler.desktop
         wheelmap-geo-handler.desktop
     DESTINATION
         ${KDE_INSTALL_APPDIR}
