=== debian/changelog ===
kguiaddons (5.116.0+p24.04+vstable+git20250915.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Sep 2025 00:22:52 +0000
