## kguiaddons 5.116.0+p24.04+vstable+git20260113.0243

=== debian/changelog ===
kguiaddons (5.116.0+p24.04+vstable+git20260113.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 02:43:45 +0000
